Subject: 26.1; Optionally not font-lock newline char when `comment-end' = ""

From: Drew Adams <[email-masked]>
Date: Sat, 29 Dec 2018 14:39:58 -0800 (PST)

See https://emacs.stackexchange.com/q/46808/105.

Please consider letting users easily (e.g. user option) not highlight a
newline character when it ends a comment, such as in Lisp.

The effect should be to highlight only the chars of the line, starting
with `comment-start', up to but not including the newline char.

(I never would have noticed how annoying the default behavior is if I hadn't tried putting a background color on comments, as the OP did.  I don't even think it should be the default behavior to highlight the newline char.)

In GNU Emacs 26.1 (build 1, x86_64-w64-mingw32)
 of 2018-05-30
Repository revision: 07f8f9bc5a51f5aa94eb099f3e15fbe0c20ea1ea
Windowing system distributor `Microsoft Corp.', version 10.0.16299
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''